commit:     fd392ff014b33c05f6c0cb1b050357293462359d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 17 13:22:11 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 17 13:49:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd392ff0

xfce-base/libxfce4util: Bump to 4.19.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/libxfce4util/Manifest                   |  1 +
 xfce-base/libxfce4util/libxfce4util-4.19.0.ebuild | 47 +++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/xfce-base/libxfce4util/Manifest b/xfce-base/libxfce4util/Manifest
index 6911967f6fd9..1286181861e4 100644
--- a/xfce-base/libxfce4util/Manifest
+++ b/xfce-base/libxfce4util/Manifest
@@ -1 +1,2 @@
 DIST libxfce4util-4.18.1.tar.bz2 527167 BLAKE2B 
b5d16b4e6ce541a7de559eb2801cf800dab26c45e83b0c562974f18218fd9ad0d70e40219b573a90f1ea1b9e15a8111cfae6200f581335f305a7e7f6eb07adc9
 SHA512 
e1459e2268948c8329394bdca56f7e7bef7739b56559c00ce6d70dfbedd038cd73a4873be34b91dbd94a80afc16e2b0e1cc256d3ff4d8fdeef9162fbdb3772cd
+DIST libxfce4util-4.19.0.tar.bz2 586319 BLAKE2B 
4660944e00774cb3749ab6fd851e8242a493e234b120e741718fb8492cb9628f7e04f2fdc83b5671691535abaa33e6a407e1c43df7aa9f7a5d4aec49cdbe56d9
 SHA512 
03e242089059ed75ec38a78446f9200f1e4efe048ea57b425aa5e40bc2ff43e9936a889e204b8ee651895ae23568598b059284df3df8da0400ad13d8beb30d27

diff --git a/xfce-base/libxfce4util/libxfce4util-4.19.0.ebuild 
b/xfce-base/libxfce4util/libxfce4util-4.19.0.ebuild
new file mode 100644
index 000000000000..2f1336f79eda
--- /dev/null
+++ b/xfce-base/libxfce4util/libxfce4util-4.19.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit vala
+
+DESCRIPTION="A basic utility library for the Xfce desktop environment"
+HOMEPAGE="
+       https://docs.xfce.org/xfce/libxfce4util/start
+       https://gitlab.xfce.org/xfce/libxfce4util/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0/7"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE="+introspection vala"
+REQUIRED_USE="vala? ( introspection )"
+
+DEPEND="
+       >=dev-libs/glib-2.66.0
+       introspection? ( >=dev-libs/gobject-introspection-1.66:= )
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-util/gtk-doc-am
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )"
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable vala)
+       )
+
+       use vala && vala_setup
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to